## Filterable attributes

### Reset filterableAttributes

### cURL

```
curl \
  -X DELETE 'MEILISEARCH_URL/indexes/movies/settings/filterable-attributes'
```

### Response Codes

- **202**
- **401**
- **404**

### Response Example

```
{
  "taskUid": 147,
  "indexUid": "movies",
  "status": "enqueued",
  "type": "settingsUpdate",
  "enqueuedAt": "2024-08-08T17:05:55.791772Z"
}
```

### Path Parameters

#### index_uid
- **Type:** string  
- **Required:** Unique identifier of the index.

### Response Structure

- **taskUid**: integer<u-int32> - Unique sequential identifier of the task.
- **status**: enum<string> - Status of the task. Possible values: `enqueued`, `processing`, `succeeded`, `failed`, `canceled`.
- **type**: enum<string> - Type of operation performed by the task. Possible options: `documentAdditionOrUpdate`, `documentEdition`, `documentDeletion`, `settingsUpdate`, `indexCreation`, `indexDeletion`, `indexUpdate`, `indexSwap`, `taskCancelation`, `taskDeletion`, `dumpCreation`, `snapshotCreation`, `export`, `upgradeDatabase`, `indexCompaction`, `networkTopologyChange`.
- **enqueuedAt**: string<date-time> - Date and time when the task was enqueued.
- **indexUid**: string | null - Unique identifier of the targeted index. Null for global tasks.
- **customMetadata**: string | null - Custom metadata attached to this task at creation.
